#
# Conditional build:
%bcond_with	tests	# unit tests (cannot find app fixture)

Summary:	Sphinx extension to build a 404 page with absolute URLs
Summary(pl.UTF-8):	Rozszerzenie Sphinksa do tworzenia strony 404 z bezwzględnymi URL-ami
Name:		python3-sphinx-notfound-page
Version:	1.1.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx-notfound-page/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx_notfound_page/sphinx_notfound_page-%{version}.tar.gz
# Source0-md5:	88c8413b3daf4ca387d4782c3360222a
URL:		https://pypi.org/project/sphinx-notfound-page/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-pytest
BuildRequires:	sphinx-pdg
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx extension to create a custom 404 page with absolute URLs
hardcoded.

%description -l pl.UTF-8
Rozszerzenie Sphinksa do tworzenia własnej strony 404 z zakodowanymi
bezwzględnymi URL-ami.

%prep
%setup -q -n sphinx_notfound_page-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/notfound
%{py3_sitescriptdir}/sphinx_notfound_page-%{version}.dist-info
%changelog
* Thu Mar 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx-notfound-page.git;a=log;h=master

* Thu Mar 13 2025 Jan Rękorajski <baggins@pld-linux.org> 3e61a14
- up to 1.1.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 08ec3eb
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> bc70639
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 26f533f
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ec6bae5
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> da6813d
- rebuild with python 3.10

* Mon Dec 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 88d1161
- new

